org.apache.http.client.utils

## Interface Idn

All Known Implementing Classes:
  JdkIdn, Rfc3492Idn

Deprecated.
(4.4) use standard `IDN`.

    @Deprecated
    public interface Idn

Abstraction of international domain name (IDN) conversion.

Since:
  4.0

### Method Summary

Methods
`String` `toUnicode(String punycode)` Deprecated. Converts a name from its punycode representation to Unicode.

### Method Detail

#### toUnicode

    String toUnicode(String punycode)

Deprecated.
Converts a name from its punycode representation to Unicode. The name may be a single hostname or a dot-separated qualified domain name.

Parameters:
  `punycode` - the Punycode representation
Returns:
  the Unicode domain name